#
# spec file for package jadetex (Version 0.57)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  tetex hyperref colortbl

%define dante ftp.dante.de:/tex-archive
%define INSTALL install -m755 -s
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         jadetex
Release:      7
Copyright:    1996,1997 Sebastian Rahtz <s.rahtz@elsevier.co.uk>
Group: 
Provides:     jadetex 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Summary:      JadeTeX - LaTeX macros to process TeX output from Jade (jade_dsl)
Version:      0.57
Source: %{dante}/macros/jadetex.tar.gz
Patch: jadetex.dif
# BuildRoot: /var/tmp/jadetex
%description
With Sebastian Rahtz' macro package `jadetex' is is possible to process
the output of the TeX backend of Jade (jade_dsl).  Resulting DVI files
are viewable e.g., with `xdvi' or printable like any other DVI file.

Authors:
--------
    Sebastian Rahtz <s.rahtz@elsevier.co.uk>

%prep
%setup -n jadetex
%patch -p1
%build
tex jadetex.ins
initex \&latex jadetex.ltx '\dump'
# build docu:
latex jadetex.dtx
latex jadetex.dtx
dvips -o manual.ps jadetex.dvi
%install
bindir=$RPM_BUILD_ROOT/usr/bin
tetex=$RPM_BUILD_ROOT/usr/lib/teTeX
texmf=$tetex/texmf
texmf_web2c=$texmf/web2c
texmf_latex=$texmf/tex/latex
texmf_jadetex=$texmf_latex/$RPM_PACKAGE_NAME
%{INSTALL_DIR} $bindir $texmf_web2c $texmf_latex $texmf_jadetex
%{INSTALL_DATA} jadetex.ltx $texmf_jadetex/jadetex.ltx
%{INSTALL_DATA} dsssl.def   $texmf_jadetex/dsssl.def
%{INSTALL_DATA} isoents.tex $texmf_jadetex/isoents.tex
%{INSTALL_DATA} jadetex.fmt $texmf_web2c/jadetex.fmt
( cd $tetex/bin/i386-linux && ln -s virtex jadetex)
( cd $bindir && ln -s ../lib/teTeX/bin/i386-linux/jadetex jadetex)
%post
mkdir -p var/adm/SuSEconfig
touch var/adm/SuSEconfig/run-texhash
%files
%doc manual.ps
/usr/bin/jadetex
/usr/lib/teTeX/texmf/web2c/jadetex.fmt
%config /usr/lib/teTeX/texmf/tex/latex/jadetex/dsssl.def
/usr/lib/teTeX/texmf/tex/latex/jadetex/jadetex.ltx
/usr/lib/teTeX/texmf/tex/latex/jadetex/isoents.tex
/usr/lib/teTeX/bin/i386-linux/jadetex

